import { createMemorablePassword } from './src/create-memorable-password.js'
(async () => {
    
    const dictionary = [
        'one',
        'two',
        'buckle',
        'my',
        'shoe',
        'three',
        'four',
        'shut',
        'the',
        'door',
        'five',
        'six',
        'pick',
        'up',
        'sticks',
        'seven',
        'eight',
        'lay',
        'them',
        'straight',
        'nine',
        'ten',
        'start',
        'again'
    ];
    let pw;

    pw = await createMemorablePassword(dictionary)
    console.log(`Default options: ${pw}`)

    pw = await createMemorablePassword(dictionary, { pattern: 'wdwdw' })
    console.log(`pattern: 'wdwdw' : ${pw}`)
    pw = await createMemorablePassword(dictionary, { pattern: 'ddwwddww' })
    console.log(`pattern: 'ddwwddww' : ${pw}`)

    pw = await createMemorablePassword(dictionary, { pattern: 'wdwdw', upperCase: 'alternate' })
    console.log(`pattern: 'wdwdw', uppercase: 'alternate' : ${pw}`)

    pw = await createMemorablePassword(dictionary, { pattern: 'wdwdw', upperCase: 'random' })
    console.log(`pattern: 'wdwdw', uppercase: 'random' : ${pw}`)

    pw = await createMemorablePassword(dictionary, { pattern: 'wdwdw', upperCase: 'all' })
    console.log(`pattern: 'wdwdw', uppercase: 'all' : ${pw}`)

    
    pw = await createMemorablePassword(dictionary, { pattern: 'wdwdw', upperCase: 'none' })
    console.log(`pattern: 'wdwdw', uppercase: 'none' : ${pw}`)

    pw = await createMemorablePassword(dictionary, { pattern: 'wdwdw', maxWordLength: 2 })
    console.log(`pattern: 'wdwdw', maxWordLength: 2 : ${pw}`)
    pw = await createMemorablePassword(dictionary, { pattern: 'wdwdw', maxWordLength: 3 })
    console.log(`pattern: 'wdwdw', maxWordLength: 3 : ${pw}`)
    pw = await createMemorablePassword(dictionary, { pattern: 'wdwdw', maxWordLength: 4 })
    console.log(`pattern: 'wdwdw', maxWordLength: 4 : ${pw}`)
    
    pw = await createMemorablePassword(dictionary, { pattern: 'wdwdw', maxNumber: 100 })
    console.log(`pattern: 'wdwdw', maxNumber: 2 : ${pw}`)
    pw = await createMemorablePassword(dictionary, { pattern: 'wdwdw', maxNumber: 1000 })
    console.log(`pattern: 'wdwdw', maxNumber: 3 : ${pw}`)
    pw = await createMemorablePassword(dictionary, { pattern: 'wdwdw', maxNumber: 10000 })
    console.log(`pattern: 'wdwdw', maxNumber: 4 : ${pw}`)
})();